Resources (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.client.resources

## Class Resources

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.client.resources.Resources

-     public class Resources
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Icons` | `ICONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Resources()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `addl()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `addOperator()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `cancel()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `columnExplore()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `computationIcon()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `folderExplore()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconArrowRight()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconClose()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconDelete()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconInfo()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconRefresh()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconSave()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconTable()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `getIconUplad()`
    `static com.google.gwt.resources.client.ImageResource` | `getImageDelete()`
    `static com.google.gwt.resources.client.ImageResource` | `getImageInfo()`
    `static com.google.gwt.resources.client.ImageResource` | `getImageTable()`
    `static com.google.gwt.resources.client.ImageResource` | `getImageUpload()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `inputSpaceIcon()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `logo()`
    `static com.google.gwt.resources.client.ImageResource` | `logoOccurrence()`
    `static com.google.gwt.resources.client.ImageResource` | `menuItemComputations()`
    `static com.google.gwt.resources.client.ImageResource` | `menuItemData()`
    `static com.google.gwt.resources.client.ImageResource` | `menuItemOperations()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `removeAll()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `showAllOperators()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `showCategories()`
    `static com.google.gwt.user.client.ui.AbstractImagePrototype` | `startComputation()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ICONS

          public static final Icons ICONS

  - ### Constructor Detail

    - #### Resources

          public Resources()

  - ### Method Detail

    - #### getIconTable

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconTable()

    - #### getIconClose

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconClose()

    - #### getIconDelete

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconDelete()

    - #### getIconInfo

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconInfo()

    - #### getIconUplad

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconUplad()

    - #### getIconArrowRight

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconArrowRight()

    - #### getIconRefresh

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconRefresh()

    - #### logo

          public static com.google.gwt.user.client.ui.AbstractImagePrototype logo()

    - #### computationIcon

          public static com.google.gwt.user.client.ui.AbstractImagePrototype computationIcon()

    - #### inputSpaceIcon

          public static com.google.gwt.user.client.ui.AbstractImagePrototype inputSpaceIcon()

    - #### addOperator

          public static com.google.gwt.user.client.ui.AbstractImagePrototype addOperator()

    - #### startComputation

          public static com.google.gwt.user.client.ui.AbstractImagePrototype startComputation()

    - #### removeAll

          public static com.google.gwt.user.client.ui.AbstractImagePrototype removeAll()

    - #### showAllOperators

          public static com.google.gwt.user.client.ui.AbstractImagePrototype showAllOperators()

    - #### showCategories

          public static com.google.gwt.user.client.ui.AbstractImagePrototype showCategories()

    - #### folderExplore

          public static com.google.gwt.user.client.ui.AbstractImagePrototype folderExplore()

    - #### cancel

          public static com.google.gwt.user.client.ui.AbstractImagePrototype cancel()

    - #### addl

          public static com.google.gwt.user.client.ui.AbstractImagePrototype addl()

    - #### columnExplore

          public static com.google.gwt.user.client.ui.AbstractImagePrototype columnExplore()

    - #### menuItemComputations

          public static com.google.gwt.resources.client.ImageResource menuItemComputations()

    - #### menuItemOperations

          public static com.google.gwt.resources.client.ImageResource menuItemOperations()

    - #### menuItemData

          public static com.google.gwt.resources.client.ImageResource menuItemData()

    - #### logoOccurrence

          public static com.google.gwt.resources.client.ImageResource logoOccurrence()

    - #### getIconSave

          public static com.google.gwt.user.client.ui.AbstractImagePrototype getIconSave()

    - #### getImageTable

          public static com.google.gwt.resources.client.ImageResource getImageTable()

    - #### getImageUpload

          public static com.google.gwt.resources.client.ImageResource getImageUpload()

    - #### getImageDelete

          public static com.google.gwt.resources.client.ImageResource getImageDelete()

    - #### getImageInfo

          public static com.google.gwt.resources.client.ImageResource getImageInfo()

Copyright © 2014. All Rights Reserved.